Execu/Tech Systems, Inc.
Knowledgebase
Search:
850-747-0581EmailWebsite
Contents
 
IndexBookmarkPrint This Article

Home > System Requirements > Operating Systems


    All Microsoft operating system service packs, patches, fixes and .Net Frameworks should be installed before installing Execu/Tech software. You must also continue to keep the operating systems up to date, including installing the newest versions of Internet Explorer and Edge as they become available. 

    When Microsoft ends extended support for an operating system, we no longer support it for new systems. The choice to use them is yours but we can't guarantee that our software will work properly . You may also find that a PCI audit will mention unsupported operating systems. 



Shift4 i4Go V2 Browser and Operating System Exceptions

 
All customers using Shift4 for credit card processing must upgrade to Internet Explorer 10 or newer on any computer that needs to process credit cards. This is required because ieframe.dll is used to by Execu/Tech. Older versions of ieframe.dll so not support required functions.

If you won't be processing credit cards directly through the server console, or via Remote Desktop, then the server isn't required to upgrade to Internet Explorer 10 or newer. However, for support and troubleshooting reasons, we recommend that you do upgrade Internet Explorer.
Shift4 i4Go V2

Please verify that your operating system meets the system requirements for Internet Explorer 10 or 11. If your operating system doesn't support Internet Explorer 10 or 11, it will not work with our Shift4 i4Go V2 interface.
Internet Explorer 10 System Requirements
Internet Explorer 11 System Requirements

   Servers
Our software works with Microsoft Remote Desktop Services, including RemoteApp. 
  • 32-bit and 64-bit versions of the following operating systems are supported (exceptions for Shift4 i4Go V2 as stated, above)


  • Our software will use both the Microsoft .NET Framework 2.0 and 4.7.1. Please have your IT professional verify that these are installed at the server and clients.

    Refer to this page for information on obtaining the correct .NET Framework version. Microsoft .NET Framework 

  •   With smaller networks containing 6 or fewer clients, you might find that using a non-server operating system as your server may be adequate. However, you may also find that performance degrades as multiple users access the software at the same time.


  • Windows 2003 / R2 (No longer supported  for new systems after July 14th, 2015. No longer supported for existing customers as of June 30, 2018


  • Windows 2008 / R2 (No longer supported for new systems after January 14th, 2020)


  • Windows 2012 / R2
    Based on Microsoft's published enhancements in Remote Desktop and RemoteApp in Server 2012 R2 over Server 2012, it seems that you will have a vastly superior experience with Server 2012 R2. However, you and your IT professional are responsible for this decision.
    http://technet.microsoft.com/en-us/library/dn283323.aspx    

  • Windows Server 2016
    This is our preferred server operating system. Remote Desktop Services and RemoteApps work great in Server 2016.

  • Windows Server 2019
    While we've tested and have found no serious problems with hosting our software on Server 2019, it does have some display quirks in Remote Desktop. This can cause windows, text boxes, etc.,  to display without boarders. It's an annoyance but doesn't affect functionality. This will hopefully be addressed in in a future update.

  • Execu/Suite PMS and POS software use a Vision database. 
    There is no need to install a 3rd party database engine unless you're also using the Execu/Suite Activities application. In this case, you should install MS SQL 2008 Express or better.
            
   Clients
"Home" versions of these operating systems are not supported.
  • 32-bit and 64-bit versions of the following operating systems are supported (exceptions for Shift4 i4Go V2 as stated, above)


  • Our software will use both the Microsoft .NET Framework 2.0 and 4.7.1. Please have your IT professional verify that these are installed at the server and clients.

    Refer to this page for information on obtaining the correct .NET Framework version. Microsoft .NET Framework 


  • Vista Business (While Windows Vista is not recommended, it works. You should consider upgrading to Windows 7.) (No longer supported for new systems after April 11th, 2017)


  • Windows 7 Professional or Ultimate (No longer supported for new systems after January 14th, 2020)

  •       
    Windows 8 / 8.1 Professional or Enterprise (No longer supported for new systems after January 10th, 2023)
    We strongly recommend that users of Windows 8 install Classic Shell to minimize frustration. Windows 8 is a great tablet operating system but terrible when introduced in a business environment where consistency is important. http://www.classicshell.net/


  • Windows 10 Professional, Enterprise or Education. 
    This is our preferred operating system for clients.


  • Tablets for Point of Sale (Tableside)
     - Tablets and other handheld devices will access the software directly (Windows tablets) or using a Remote Desktop client software. More Information: Tableside Wireless Tablets 
All Microsoft operating system service packs, patches, fixes and .Net Frameworks should be installed before installing Execu/Tech software. You must also continue to keep the operating systems up to date, including installing the newest versions of Internet Explorer and Edge as they become available.





Article ID
 operating_systems
Views
 1443
Last Modified
 6/11/2019 10:16 AM